This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 964458 - Black screen when in-game
Black screen when in-game
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
All All
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-18 16:03 EDT by Subsentient
Modified: 2015-02-17 10:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:16:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A screenshot of the reported issue. (154.78 KB, image/png)
2013-05-18 16:03 EDT, Subsentient
no flags Details
Debug log (21.00 KB, text/plain)
2013-06-07 03:29 EDT, Jan Synacek
no flags Details

  None (edit)
Description Subsentient 2013-05-18 16:03:56 EDT
Created attachment 749721 [details]
A screenshot of the reported issue.

In Warzone 2100 On Fedora 19 Alpha and Beta (at least) Warzone 2100 loads up to a black screen with basic game controls once you try to start a game. Manually compiling does not fix the issue, nor does using the QT backend. I have added an attachment image that demonstrates the issue. I have found no workaround.
This issue is present on two separate installations, one being x32, the other x64.
it may be noteworthy that they both have Intel integrated graphics, but not the same model or family.

Affects Fedora 19+


How reproducible:


Steps to Reproduce:
1. Install Warzone 2100 or compile it from source
2. Attempt to load a skirmish, multiplayer, or campaign game.
3. Bathe in the uselessness of the black map and sky that is presented to you.
  
Actual results:
A useless, unplayable game.

Expected results:
A playable game.

Additional info:
There seems to be a bug filed against FC11 that had similar issues, but that was all the way back in v2.1. The game has changed quite substantially since then. I also feel inclined to say, since it doesn't always happen like that, if you fix it, please provide details on how it was done.
Comment 1 Subsentient 2013-05-18 16:07:39 EDT
I forgot to mention that I only have two Fedora 19 installs, not that there are others I am aware of that work, because all my other boxes run 17.
Comment 2 Jan Synacek 2013-05-20 07:13:34 EDT
I can confirm that this happens on F19, but *not* on F18 on the same hardware and version.

On F18:
$ rpm -q xorg-x11-drv-intel
xorg-x11-drv-intel-2.21.4-1.fc18.x86_64

$ rpm -q warzone2100
warzone2100-3.1.0-1.fc18.x86_64

# lshw -C display
  *-display               
       description: VGA compatible controller
       product: 2nd Generation Core Processor Family Integrated Graphics Controller
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 09
       width: 64 bits
       clock: 33MHz
       capabilities: msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:43 memory:f0000000-f03fffff memory:e0000000-efffffff ioport:5000(size=64)

On F19:
$ rpm -q xorg-x11-drv-intel
xorg-x11-drv-intel-2.21.6-1.fc19.x86_64

$ rpm -q warzone2100
warzone2100-3.1.0-2.fc19.x86_64 (not exactly the same version, but the difference is only in the desktop files and the vendor tag)

# lshw -C display
  *-display               
       description: VGA compatible controller
       product: 2nd Generation Core Processor Family Integrated Graphics Controller
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 09
       width: 64 bits
       clock: 33MHz
       capabilities: msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:48 memory:f0000000-f03fffff memory:e0000000-efffffff ioport:4000(size=64)


Subsentient, could you please post your output of 'lshw -C display'? I suspect this to be the intel driver issue..
Comment 3 Subsentient 2013-05-20 12:16:33 EDT
Hi, everything *looks* ok at first glance, here is the output you requested.

[root@EarlGray ~]# lshw -C display
  *-display:0             
       description: VGA compatible controller
       product: 82Q35 Express Integrated Graphics Controller
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 02
       width: 32 bits
       clock: 33MHz
       capabilities: msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:42 memory:fea00000-fea7ffff ioport:ec90(size=8) memory:d0000000-dfffffff memory:feb00000-febfffff
  *-display:1 UNCLAIMED
       description: Display controller
       product: 82Q35 Express Integrated Graphics Controller
       vendor: Intel Corporation
       physical id: 2.1
       bus info: pci@0000:00:02.1
       version: 02
       width: 32 bits
       clock: 33MHz
       capabilities: pm bus_master cap_list
       configuration: latency=0
       resources: memory:fea80000-feafffff
Comment 4 Jan Synacek 2013-05-21 04:13:02 EDT
Thanks, that confirms my suspicion. The same driver is in use.

Switching to xorg-x11-drv-intel.
Comment 5 Subsentient 2013-05-25 03:56:46 EDT
This bug should be fixed prior to the F19 release. It is a severe issue that may be affecting other applications. Just my 2 cents.
Comment 6 Jan Synacek 2013-06-07 03:19:04 EDT
FYI you can work around this bug by turning off texture compression:

  $ warzone2100 --notexturecompression


In code, this results in

  wz_texture_compression = GL_RGBA;


If the compression is ON, the corresponding code looks like

  wz_texture_compression = GL_COMPRESSED_RGBA_ARB;


Further, the compression is used:

  glTexImage2D(GL_TEXTURE_2D, level, wz_texture_compression, width, height, 0, ...
Comment 7 Jan Synacek 2013-06-07 03:29:59 EDT
Created attachment 758008 [details]
Debug log

...
3d      |09:26:08: [screenInitialise:129]   * Texture compression is supported.  
...
Comment 8 Fedora End Of Life 2015-01-09 13:08:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 10:16:06 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.